# StageSceneObject (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.stage.data
Class StageSceneObject

    java.lang.Object
      com.threerings.presents.dobj.DObject
          com.threerings.crowd.data.PlaceObject
              com.threerings.whirled.data.SceneObject
                  com.threerings.whirled.spot.data.SpotSceneObject
                      com.threerings.stage.data.StageSceneObject

All Implemented Interfaces:
  com.threerings.crowd.chat.data.SpeakObject, com.threerings.io.Streamable

    public class StageSceneObject

extends SpotSceneObject

Extends the basic `SpotSceneObject` with data and services specific to isometric stage scenes.

Nested Class Summary

Nested classes/interfaces inherited from class com.threerings.crowd.data.PlaceObject
`com.threerings.crowd.data.PlaceObject.ManagerCaller`

Nested classes/interfaces inherited from interface com.threerings.crowd.chat.data.SpeakObject
`com.threerings.crowd.chat.data.SpeakObject.ListenerOp`

Nested classes/interfaces inherited from interface com.threerings.io.Streamable
`com.threerings.io.Streamable.Closure`

Field Summary
`static String` `LIGHT_LEVEL` The field name of the `lightLevel` field.
`static String` `LIGHT_SHADE` The field name of the `lightShade` field.
`float` `lightLevel` The light level in this scene.
`int` `lightShade` The color of the light.
`static String` `STAGE_SCENE_SERVICE` The field name of the `stageSceneService` field.
`StageSceneMarshaller` `stageSceneService` Provides stage scene services.

Fields inherited from class com.threerings.whirled.spot.data.SpotSceneObject
`clusters, CLUSTERS, OCCUPANT_LOCS, occupantLocs`

Fields inherited from class com.threerings.crowd.data.PlaceObject
`manager, OCCUPANT_INFO, occupantInfo, occupants, OCCUPANTS, SPEAK_SERVICE, speakService`

Constructor Summary
`StageSceneObject()`

Method Summary
`void` `setLightLevel(float value)` Requests that the `lightLevel` field be set to the specified value.
`void` `setLightShade(int value)` Requests that the `lightShade` field be set to the specified value.
`void` `setStageSceneService(StageSceneMarshaller value)` Requests that the `stageSceneService` field be set to the specified value.

Methods inherited from class com.threerings.whirled.spot.data.SpotSceneObject
`addToClusters, addToOccupantLocs, removeFromClusters, removeFromOccupantLocs, setClusters, setOccupantLocs, updateClusters, updateOccupantLocs`

Methods inherited from class com.threerings.crowd.data.PlaceObject
`addToOccupantInfo, addToOccupants, applyToListeners, getOccupantInfo, initManagerCaller, removeFromOccupantInfo, removeFromOccupants, setOccupantInfo, setSpeakService, shouldBroadcast, updateOccupantInfo`

Methods inherited from class com.threerings.presents.dobj.DObject

`acquireLock, addListener, addListener, addSubscriber, addToSet, cancelTransaction, changeAttribute, checkPermissions, checkPermissions, commitTransaction, destroy, getAccessController, getAttribute, getLocal, getLocals, getManager, getOid, getSet, inTransaction, isActive, notifyListeners, notifyProxies, postEvent, postMessage, postMessage, readField__oid, releaseLock, removeFromSet, removeListener, removeSubscriber, setAccessController, setAttribute, setDestroyOnLastSubscriberRemoved, setLocal, setManager, setOid, startTransaction, toString, updateSet, which, writeField__oid`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STAGE_SCENE_SERVICE

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public static final String STAGE_SCENE_SERVICE

  The field name of the `stageSceneService` field.

  See Also:
    Constant Field Values

### LIGHT_LEVEL

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public static final String LIGHT_LEVEL

  The field name of the `lightLevel` field.

  See Also:
    Constant Field Values

### LIGHT_SHADE

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public static final String LIGHT_SHADE

  The field name of the `lightShade` field.

  See Also:
    Constant Field Values

### stageSceneService

    public StageSceneMarshaller stageSceneService

  Provides stage scene services.

### lightLevel

    public float lightLevel

  The light level in this scene. 0f being fully on, 1f fully shaded.

### lightShade

    public int lightShade

  The color of the light.

Constructor Detail

### StageSceneObject

    public StageSceneObject()

Method Detail

### setStageSceneService

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public void setStageSceneService(StageSceneMarshaller value)

  Requests that the `stageSceneService` field be set to the specified value. The local value will be updated immediately and an event will be propagated through the system to notify all listeners that the attribute did change. Proxied copies of this object (on clients) will apply the value change when they received the attribute changed notification.

### setLightLevel

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public void setLightLevel(float value)

  Requests that the `lightLevel` field be set to the specified value. The local value will be updated immediately and an event will be propagated through the system to notify all listeners that the attribute did change. Proxied copies of this object (on clients) will apply the value change when they received the attribute changed notification.

### setLightShade

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public void setLightShade(int value)

  Requests that the `lightShade` field be set to the specified value. The local value will be updated immediately and an event will be propagated through the system to notify all listeners that the attribute did change. Proxied copies of this object (on clients) will apply the value change when they received the attribute changed notification.

Copyright © 2011. All Rights Reserved.